import java.io.*;
import java.nio.file.*;

class IOIntro {
	public static void main(String[] args) throws IOException {
		byte[] arro = {0, 1, 2, 3, 4, 5, 6, 7};
		byte[] arri = new byte[8];
		Path file = Paths.get("demo.bin");
		
		try (OutputStream fos = Files.newOutputStream(file)) {
			System.out.println(fos.getClass());
			fos.write(arro);
		}

		try (InputStream fis = Files.newInputStream(file)) {
			System.out.println(fis.getClass());
			fis.read(arri);
		}

		for (int i : arri)
			System.out.println(i);
	}
}
