import java.io.*;

class ReadWriteObject {
	public static void main(String[] args) throws Exception {
		Kunde kunde = new Kunde("Fritz", "Orth", 1, 13,
		                        new java.math.BigDecimal("426.89"));
		System.out.println("Zu sichern:\n");
		kunde.prot();
		try (ObjectOutputStream oos = new ObjectOutputStream(new FileOutputStream("test.ser"))) {
			oos.writeInt(1);
			oos.writeObject(kunde);
		}

		try (ObjectInputStream ois =  new ObjectInputStream(new FileInputStream("test.ser"))) {
			int nr = ois.readInt();
			Kunde unbekannt = (Kunde) ois.readObject();
			System.out.printf("Nummer des deserialisierten Falles: %d\n\n", nr);
			unbekannt.prot();
		}
	}
}