package fimpack;

public class Kreis extends Figur {
	public int radius;
	public Kreis(String name_, int xpos_, int ypos_, int rad_) {
		super(name_, xpos_, ypos_);
		radius = rad_;
	}

	// Überladung ohne Relevanz für die Comparable<Figur> - Implementation
	public int compareTo(Kreis kr) {
		if (xpos + radius < kr.xpos + kr.radius)
			return -1;
		else if (xpos + radius == kr.xpos + kr.radius)
			return 0;
		else
			return 1;
	}

//	// Keine gute Idee, weil ein Array mit Figur- und Kreis-Objekten nicht sinnvoll sortiert wird.
//	@Override
//	public int compareTo(Figur fig) {
//		int rechts = xpos;
//		int rechtsPar = fig.xpos;
//		if (fig instanceof Kreis) {
//			rechts = xpos + radius;
//			rechtsPar = fig.xpos + ((Kreis) fig).radius;
//		}
//		if (rechts < rechtsPar)
//			return -1;
//		else if (rechts == rechtsPar)
//			return 0;
//		else
//			return 1;
//	}
}