package de.uni_trier.zimk.attendance;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;
import java.io.IOException;

public class Attendance extends Application {
    static private Model am;

    @Override
    public void start(Stage stage) throws IOException {
        am = new Model();
        FXMLLoader fxmlLoader = new FXMLLoader(Attendance.class.getResource("attendance.fxml"));
        stage.setScene(new Scene(fxmlLoader.load()));
        stage.setTitle("Anwesenheitskontrolle");
        stage.setMinWidth(400);
        stage.setMinHeight(150);
        stage.show();
    }

    static public Model getModel() {
        return am;
    }

    public static void main(String[] args) {
        launch();
    }
}