import java.util.concurrent.*;

class ThenAcceptAsync {
	public static void main(String[] args)  {
		CompletableFuture<Integer> cf1 = CompletableFuture.supplyAsync(() -> {
			System.out.println("First:       " + Thread.currentThread().getName());
			try {Thread.sleep(1000);}
			catch (InterruptedException ix) {Thread.currentThread().interrupt();}
			return 1;
		});

		CompletableFuture<Void> cf2 = cf1.thenAcceptAsync(i -> {
			System.out.println("Incrementer: " + Thread.currentThread().getName());
			System.out.println(++i);
			try {Thread.sleep(1000);}
			catch (InterruptedException ix) {Thread.currentThread().interrupt();}
		});

		ForkJoinPool.commonPool().awaitQuiescence(3000, TimeUnit.MILLISECONDS);
//		cf2.join();

//		ExecutorService es = Executors.newCachedThreadPool();
//		CompletableFuture<Void> cf2 = cf1.thenAcceptAsync(i -> {
//			System.out.println("Incrementer: " + Thread.currentThread().getName());
//			System.out.println(++i);
//			try {Thread.sleep(1000);}
//			catch (InterruptedException ix) {Thread.currentThread().interrupt();}
//		}, es);
//		cf2.join();
//
//		es.shutdown();
	}
}

