import java.util.concurrent.CompletableFuture;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

class ThenRunAsyn {
	public static void main(String[] args) throws InterruptedException{
		CompletableFuture<Void> cf1 = CompletableFuture.runAsync(() -> {
			try {Thread.sleep(1000);}
			catch (InterruptedException ix) {Thread.currentThread().interrupt();}
			System.out.println("Starter:    " + Thread.currentThread().getName());
		});

		CompletableFuture<Void> cf2 = CompletableFuture.runAsync(() -> {
			try {Thread.sleep(1000);}
			catch (InterruptedException ix) {Thread.currentThread().interrupt();}
			System.out.println("Additional: " + Thread.currentThread().getName());
		});

		Thread.sleep(3000);

		CompletableFuture<Void> cf3 = cf1.thenRunAsync(() -> {
			System.out.println("Runner:     " + Thread.currentThread().getName());
		});

//		ExecutorService es = Executors.newCachedThreadPool();
//		CompletableFuture<Void> cf3 = cf1.thenRunAsync(() -> {
//			System.out.println("Runner:     " + Thread.currentThread().getName());
//		}, es);
//		es.shutdown();

		cf3.join();
	}
}
