class DataMatDemo {
	public static void main(String[] args) {
		final int zeilen = 3, spalten = 5;
		DataMat matrix = new DataMat(zeilen, spalten);

		for (int i = 0; i < zeilen; i++)
			for (int j = 0; j < spalten; j++)
				matrix.data[i][j] = i*spalten + j + 1;

		System.out.println("Original:\n");
		matrix.show();
		System.out.println("Die Matrix hat " + matrix.anz() + " Zeilen und " + matrix.ans() + " Spalten.\n");
		matrix.flip();
		System.out.println("Transponiert:\n");
		matrix.show();
		System.out.println("Die Matrix hat " + matrix.anz() + " Zeilen und " + matrix.ans() + " Spalten.");
		
		System.out.println("\nMittelwerte:\n");
		for (double d : matrix.mean())
			System.out.printf(" %7.3f", d);
		System.out.println("\n\nVarianzen:\n");
		for (double d : matrix.variance())
			System.out.printf(" %7.3f", d);
	}
}