import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

class Lotto {
	public static void main(String[] args) {
		int[] ziehung = new int[6];
		int i, j, temp;
		boolean verbraucht;

		java.util.Random zzg = new java.util.Random();

		//Unverbrauchte Lottozahlen suchen
		for (i = 0; i < 6; i++) {
			do {
				temp = zzg.nextInt(49) + 1;
				verbraucht = false;
				for (j = 0; j < i; j++)
					if(temp == ziehung[j]) {
						verbraucht = true;
						break;
					}
			} while (verbraucht);
			ziehung[i] = temp;
		}

		// Lottozahlen mit Hilfe der Collections-Methode shuffle() ziehen.
//		List<Integer> integerList = new ArrayList<Integer>();
//		for (i = 0; i < 49; i++)
//			integerList.add(i+1);
//		Collections.shuffle(integerList);
//		for (i = 0; i < 6; i++)
//			ziehung[i] = (int) integerList.get(i);

		//Sortieren durch Auswahl
	   for (i = 0; i < 5; i++)
	      for (j = i+1; j < 6; j++)
	         if (ziehung[j] < ziehung[i]) {
	            temp		= ziehung[i];
	            ziehung[i]	= ziehung[j];
	            ziehung[j]	= temp;
	         }

		// Ausgabe
		System.out.println("Die Lottozahlen vom Mittwoch:");
		for (i = 0; i < 6; i++)
			System.out.print(" " + ziehung[i]);
	}
}