class SwitchJ14 {
    public static void main(String[] args) throws Exception {
        int zahl = 11;
        final int marke1 = 1;
        // switch-Anweisung mit Lambda-Syntax
        switch (zahl) {
            case marke1 ->
                    System.out.println("Fall 1, \nOHNE Durchfall");
            case 2, 3, 4 ->
                    System.out.println("Fälle 2, 3 und 4");
            default ->
                    System.out.println("Restkategorie");
        }

        // switch-Ausdruck mit Doppelpunkt-Syntax
        String swr = switch (zahl) {
            case marke1:
                yield "Fall 1, \nOHNE Durchfall";
            case 2, 3, 4:
                yield "Fälle 2, 3 und 4";
                //                throw new Exception();
            default:
                yield "Restkategorie";
                //                 {System.out.print("default: "); yield "Restkategorie";}
        };

        // switch-Ausdruck mit Pfeil-Syntax
        swr = switch (zahl) {
            case marke1 ->  "Fall 1, \nOHNE Durchfall";
            case 2, 3, 4 -> "Fälle 2, 3 und 4";
            default ->      {System.out.print("default: "); yield "Restkategorie";}
        };
        System.out.println(swr);
    }
}
