class Prog {
   public static void main(String[] args) {
        var p = new Point(5, 10);
       RecordAnno da;

       System.out.println("\nAnnotierte Record-Komponenten:");
       for (var rcomp : Point.class.getRecordComponents()) {
           da =  rcomp.getAnnotation(RecordAnno.class);
           if (da != null)
               System.out.println(" " + rcomp.getName());
       }

       System.out.println("\nAnnotierte Methoden:");
       for (var meth : Point.class.getMethods()) {
           da = meth.getAnnotation(RecordAnno.class);
           if (da != null)
               System.out.println(" " + meth.getName()+"()");
       }

       System.out.println("\nAnnotierte Felder:");
       for (var field : Point.class.getDeclaredFields()) {
           da = field.getAnnotation(RecordAnno.class);
           if (da != null)
               System.out.println(" " + field.getName());
       }

       System.out.println("\nAnnotierte Konstruktorparameter:");
       for (var cpar : Point.class.getConstructors()[0].getParameters()) {
           da =  cpar.getAnnotation(RecordAnno.class);
           if (da != null)
               System.out.println(" " + cpar.getName());
       }
   }
}
