import java.util.*;
import de.uni_trier.zimk.matrain.ml.Sets;

class Mengenlehre {
	public static void main(String[] args) {
		Set<Character> set1 = new TreeSet<>(Set.of('a', 'b', 'c'));
		System.out.println("Menge A");
		for (Character c : set1)
			System.out.println(c);

		Set<Character> set2 = new TreeSet<>(Set.of('b', 'c', 'd'));
		System.out.println("\nMenge B");
		for (Character c : set2)
			System.out.println(c);
	
		System.out.println("\nDurchschnitt von A und B");
		for (Character c : Sets.intersection(set1, set2))
			System.out.println(c);

		System.out.println("\nVereinigung von A und B");
		for (Character c : Sets.union(set1, set2))
			System.out.println(c);
		
		System.out.println("\nDifferenz von A und B");
		for (Character c : Sets.difference(set1, set2))
			System.out.println(c);

		System.out.println("\nVereinigung von Double- und Integer-Set");
		Set<Double> setn1 = new HashSet<>(Set.of(1.1, 2.2));
		Set<Integer> setn2 = new HashSet<>(Set.of(1, 2));
		for (var n : Sets.<Number>union(setn1, setn2))
			System.out.println(n);
	}
}
