package de.uni_trier.zimk.jfxlayoutman;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.*;
import javafx.stage.Stage;

public class StackPaneDemo extends Application {
    @Override
    public void start(Stage primaryStage) {
        int nob = 5;
        double csize = 40.0;

        StackPane root = new StackPane();

        Button[] buttons = new Button[nob];
        for (int i = 0; i < nob; i++) {
            buttons[i] = new Button();
            buttons[i].setPrefSize(csize*(nob-i), csize*(nob-i));
        }
        root.getChildren().addAll(buttons);

        primaryStage.setTitle("StackPane");
        primaryStage.setScene(new Scene(root, 250, 250));
        primaryStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}