import java.util.concurrent.CompletableFuture;

class Exceptionally {
	public static void main(String[] args) {
		CompletableFuture<Integer> cf1 = CompletableFuture.supplyAsync(() -> {
			System.out.println("Starter:       " + Thread.currentThread().getName());
			if (true)
				throw new IllegalStateException("Starter failed");
			return 1;
		});

//		CompletableFuture<Integer> cf1a = CompletableFuture.supplyAsync(() -> {
//			System.out.println("Starter:       " + Thread.currentThread().getName());
//			if (true)
//				throw new IllegalStateException("Starter failed");
//			return 1;
//		});
//
//		CompletableFuture<Integer> cf1 = cf1a.thenApplyAsync(i -> {
//			System.out.println("Incrementer:   " + Thread.currentThread().getName());
//			return ++i;
//		});

		cf1 = cf1.exceptionally(ex ->  {
			System.out.println("\nAusnahme:      " + ex);
			System.out.println("Reset to 0:    " + Thread.currentThread().getName() + "\n");
			return 0;
		});

		CompletableFuture<Integer> cf2 = cf1.thenApplyAsync(i -> {
			System.out.println("Incrementer:   " + Thread.currentThread().getName());
			return ++i;
		});

		CompletableFuture<Void> result = cf2.thenAcceptAsync(i -> {
			System.out.println("Accepter:      " + Thread.currentThread().getName());
			System.out.println("\nErgebnis = " + i);
		});

		result.join();
	}
}

