import java.util.concurrent.CompletableFuture;

class ThenApply {
	public static void main(String[] args) throws InterruptedException {
		CompletableFuture<Integer> cf1 = CompletableFuture.supplyAsync(() -> {
			System.out.println("First:       " + Thread.currentThread().getName());
			try {Thread.sleep(1000);}
			catch (InterruptedException ix) {Thread.currentThread().interrupt();}
			return 1;
		});
		Thread.sleep(3000);

		CompletableFuture<Integer> cf2 = cf1.thenApply(i -> {
			System.out.println("Incrementer: " + Thread.currentThread().getName());
			return ++i;
		});

		System.out.println(cf2.join());
	}
}
