import java.util.concurrent.CompletableFuture;

class ThenRun {
	public static void main(String[] args) {
		CompletableFuture<Void> cf1 = CompletableFuture.runAsync(
				() -> {
					try {Thread.sleep(1000);}
					catch (InterruptedException ix) {Thread.currentThread().interrupt();}
					System.out.println("Start:     " + Thread.currentThread().getName());
				});
//		try {Thread.sleep(3000);}
//		catch (InterruptedException ix) {Thread.currentThread().interrupt();}

		CompletableFuture<Void> cf2 = cf1.thenRun(() -> {
			System.out.println("Runner:    " + Thread.currentThread().getName());
		});

		cf2.join();
	}
}
