import java.util.concurrent.ScheduledThreadPoolExecutor;

class ScheduledRunner implements Runnable {
    private int nr;
    private ScheduledThreadPoolExecutor stpe;

    public ScheduledRunner(int nr, ScheduledThreadPoolExecutor stpe) {
        this.nr = nr;
        this.stpe = stpe;
    }

    private String formZeit() {
        return java.text.DateFormat.getTimeInstance().format(new java.util.Date());
    }

    public void run() {
        System.out.println("ScheduledRunner " + nr + ", Zeit: " + formZeit() +
                ", Aktive Pool-Threads: " + stpe.getActiveCount());
        try {Thread.sleep(500*nr);
        } catch (InterruptedException ignored) {Thread.currentThread().interrupt();}
    }
}