import java.net.URI;
import java.net.http.*;
import java.nio.file.*;
import java.text.SimpleDateFormat;
import java.util.Date;

class HttpClientSyncGetFile {
	public static void main(String[] args) {
		String uri = "https://www.uni-trier.de/";
		try {
			HttpClient client = HttpClient.newHttpClient();
			HttpRequest request = HttpRequest.newBuilder()
											 .uri(URI.create(uri))
											 .build();
			SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
			String date = simpleDateFormat.format(new Date());
			Path file = Paths.get(request.uri().getHost() + "." + date + ".html");
			HttpResponse<Path> response = client.send(request, HttpResponse.BodyHandlers.ofFile(file));
			System.out.println("Statuscode: " + response.statusCode());
			System.out.println("Ausgabe in die Datei: " + response.body());
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
