import java.net.URI;
import java.net.http.*;

class HttpClientSyncGetString {

	public static void main(String[] args) {
		String uri = "https://www.uni-trier.de/";
		try {
			HttpClient client = HttpClient.newHttpClient();
			HttpRequest request = HttpRequest.newBuilder()
			                                 .uri(URI.create(uri))
											 .build();
			HttpResponse<String> response =	client.send(request, HttpResponse.BodyHandlers.ofString());
//			System.out.println(response.body());
			System.out.printf("Statuscode: %d\n\n", response.statusCode());
			java.util.StringTokenizer stok = new java.util.StringTokenizer(response.body(), "\n", false);
			for (int i = 0; i < 8; i++)
				System.out.println(stok.nextToken());

//			// Verwendung des HttpClient-Objekts für eine andere Anforderung
//			url = "https://openjdk.java.net/groups/net/httpclient/intro.html";
//			request = HttpRequest.newBuilder().uri(URI.create(uri)).build();
//			response =	client.send(request, HttpResponse.BodyHandlers.ofString());
//			System.out.printf("\nStatus-Code zu httpclient/intro.html: %d\n\n", response.statusCode());
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
