import java.io.*;
import java.net.*;

class DaytimeClient {
	public static void main(String[] args) {
		BufferedReader br = null;
		try (Socket time = new Socket("time.nist.gov", 13)) {
//			Socket time = new Socket("localhost", 13);
//			Socket time = new Socket("Bernhard", 13);
//			Socket time = new Socket();
//			time.connect(new InetSocketAddress("time.nist.gov", 13), 1000);
			System.out.println("Verbindung hergestellt (lokaler Port: " +
				time.getLocalPort() + ")");
			time.setSoTimeout(1000);
			br = new BufferedReader(new InputStreamReader(time.getInputStream()));
			String s;
			while ((s = br.readLine()) != null)
				if (s.length() > 0)
					System.out.println("Aktuelle Zeit: " + s);
//			time.close();
//			System.out.println("isConnected(): " + time.isConnected());
//			System.out.println("netzwerkfähig: " + (time.isConnected() && !time.isClosed()));
		} catch (SocketTimeoutException e) {
			System.out.println("Maximale Wartezeit abgelaufen");
		} catch (Exception e) {
			System.err.println(e);
		}
	}
}