import java.io.*;
import java.net.*;

class EchoTask implements Runnable {
	private Socket client;
	private int nummer;

	EchoTask(Socket cl, int nr) {
		client = cl;
		nummer  = nr;
	}
	public void run() {
		String zeile;
		try (BufferedReader br = new BufferedReader(new InputStreamReader(client.getInputStream()));
			 PrintWriter pw = new PrintWriter(client.getOutputStream(), true)) {
			pw.println("Echo-Server (Verbindung: " + nummer + ", aktiv: " +
					EchoServer.getNConnects() +	") - Beenden mit 'quit'");
			while (client.isConnected() && (zeile = br.readLine()) != null) {
				if (zeile.trim().equalsIgnoreCase("quit")) {
					pw.println("Gut, dass wir darueber geredet haben!");
					break;
				}
				pw.println(zeile);
			}
		} catch (Exception e) {
			EchoServer.prot("Fehler: \n  " + e + " (Verbindung " + nummer + ")");
		} finally {
			EchoServer.decr(nummer);
		}
	}
}