class PersonTest {
	static int stati = 13;
	public static void main(String[] args) {
		int loci = 13;
		enum TemperamentEx {
			MELANCHOLISCH(false, false),
			CHOLERISCH(false, true),
			PHLEGMATISCH(true, false),
			SANGUIN(true, true);

			private final boolean stable, extra;
			private TemperamentEx(boolean stab, boolean ex) {
				stable = stab;
				extra = ex;
			}

			public boolean stable() {return stable;}
			public boolean extra() {return extra;}
			public int reportStaticEnvironment() {return stati;} // erlaubt
			// public int reportLocalEnvironment() {return loci;} //verboten
		}

		class Person {
			public String vorname, name;
			public int alter;
			public TemperamentEx temp;
			public Person(String vor, String nach, int alt, TemperamentEx tp) {
				vorname = vor;
				name = nach;
				alter = alt;
				temp = tp;
			}
			public Person() {}
		}

		Person kandidat = new Person("Karl", "Rempremmerding", 35, TemperamentEx.SANGUIN);
		System.out.println("Name:             " + kandidat.vorname + " " + kandidat.name +
				"\nTemperament:      " + kandidat.temp +
				"\nEmotional stabil: " + kandidat.temp.stable() +
				"\nExtravertiert:    " + kandidat.temp.extra());
	}
}
